{% extends "base.html" %}
{% load static %}

{% block css %}

<link href="{% static 'font-awesome/css/font-awesome.css' %}" rel="stylesheet">


{% endblock css %}

{% block title %}

<h1><i class="zmdi zmdi-calendar"></i> Rúbricas</h1>
<ol class="breadcrumb">
    <li>
        <a style="cursor: default; color: white;">Dashboard</a>
    </li>
    <li>
        <a style="cursor: default; color: white;">Evaluación</a>
    </li>
    <li class="active">Rúbricas</li>
</ol>

{% endblock title %}
{% block content %}

<div class="row center-block">
   <div class="col-md-12">
        <a style="display: none" id="1" href="{% url 'planning_rubric_add' %}" class="btn btn-primary btn-block"><i class="fa  fa-plus"></i> Agregar</a>                       
   </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <div class="card">
            <header class="card-heading card-blue">
                <h2 class="card-title"><i class="zmdi zmdi-calendar-check"></i> Activas</h2>
            </header>
            <div class="card-body">
               <div class="row">
                   
               </div>
                <div class="project-list">
                    <table class="footable table table-stripped" data-page-size="5" data-filter=#filter>
                        <thead>
                        <tr>
                            <th >Título</th>
                            <th >Carrera</th>
                            <th >Fecha</th>
                            <th >Asignatura</th>
                            <th >Acciones</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for rubric in rubrics %}
                            {% if rubric.0.subject %}
                             <tr>
                                <td class="col-md-3">{{rubric.0.name}}</td>
                                <td class="col-md-2">{{rubric.1}}</td>
                                <td class="col-md-3">{{rubric.0.date}}</td>
                                <td class="col-md-2">{{rubric.2}}</td>
                                <td class="col-md-2 project-action" style="text-align:left">
                                    <div class="row">
                                        <div class="col-md-4" style="padding-left:0">
                                            <span data-career='{{project.0.carreer}}' data-rubricpk='{{rubric.0.pk}}' class="pond_edit btn btn-success btn-fab btn-fab-sm" data-toggle="tooltip" data-placement="top" title="" data-original-title="Editar ponderaciones">
                                                <i class="zmdi zmdi-graduation-cap"></i>
                                            </span>
                                        </div>
                                        <div class="col-md-4" style="padding-left:0">
                                            <span data-rubricpk="{{rubric.0.pk}}" class="btn btn-danger btn-fab btn-fab-sm" data-toggle="tooltip" data-placement="top" title="" data-original-title="Desactivar">
                                                <i class="zmdi zmdi-power"></i>
                                            </span>
                                        </div>
                                        <div class="col-md-4" style="padding-left:0">
                                            <a href="{% url 'rubric_details' rubric.0.pk %}" class="btn btn-info btn-fab btn-fab-sm" data-toggle="tooltip" data-placement="top" title="" data-original-title="Más detalles">
                                                <i class="zmdi zmdi-eye"></i>
                                            </a>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            {% endif %}
                        {% endfor %}
                        </tbody>
                        <tfoot>
                        <tr>
                            <td colspan="5">
                                <ul class="pagination pull-right"></ul>
                            </td>
                        </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <div class="card">
            <header class="card-heading card-blue">
                <h2 class="card-title"><i class="zmdi zmdi-calendar-note"></i> Históricas</h2>
                <ul class="card-actions right-top">
                    <a href="{% url 'planning_rubric_add' %}" style="margin-top:-7px" class="btn btn-sm btn-primary"><i class="zmdi zmdi-plus"></i> Agregar Rúbrica </a>
                </ul>
            </header>
            <div class="card-body">
<!--
               <div class="row center-block">
                   <div class="col-md-12">
                        <input type="text" class="form-control input-sm m-b-xs" id="filter" placeholder="Buscar rúbrica ">                       
                   </div>
               </div>
-->
               <div class="row">
                   
               </div>
                <div class="project-list">
                    <table class="footable table table-stripped" data-page-size="5" data-filter=#filter>
                        <thead>
                        <tr>
                            <th>Título</th>
                            <th>Carrera</th>
                            <th>Fecha</th>
                            <th>Autor</th>
                            <th>Acciones</th>
                        </tr>
                        </thead>
                        <tbody>
                       {% for rubric in rubrics %}
                       {% if not rubric.0.subject %}
                        <tr>
                            <td class="col-md-3">{{rubric.0.name}}</td>
                            <td class="col-md-2">{{rubric.1}}</td>
                            <td class="col-md-2">{{rubric.0.date}}</td>
                            <td class="col-md-2">{{rubric.0.author.first_name}} {{rubric.0.author.last_name}}</td>
                            <td class="col-md-3 project-actions" style="text-align:left">
                                <div class="row">
                                    <div class="col-md-3" style="padding-left:0">
                                        <span data-rubricpk='{{rubric.0.pk}}' class="pond_edit btn btn-success btn-fab btn-fab-sm" data-toggle="tooltip" data-placement="top" title="" data-original-title="Editar ponderaciones">
                                            <i class="zmdi zmdi-graduation-cap"></i>
                                        </span>
                                    </div>
                                    <div class="col-md-3" style="padding-left:0">
                                        <span data-toggle="modal" data-target="#exampleModal" data-rubric_pk="{{rubric.0.pk}}" data-carreerpk="{{rubric.0.carreer}}" class="btn btn-success btn-fab btn-fab-sm" data-toggle="tooltip" data-placement="top" title="" data-original-title="Activar">
                                            <i class="zmdi zmdi-power"></i>
                                        </span>
                                    </div>
                                    <div class="col-md-3" style="padding-left:0">
                                        <a href="{% url 'rubric_details' rubric.0.pk %}" class="btn btn-info btn-fab btn-fab-sm" data-toggle="tooltip" data-placement="top" title="" data-original-title="Más detalles">
                                            <i class="zmdi zmdi-eye"></i>
                                        </a>
                                    </div>
                                    <div class="col-md-3" style="padding-left:0">
                                        <a href="{% url 'rubric_delete' rubric.0.pk %}" class="btn btn-danger btn-fab btn-fab-sm" data-toggle="tooltip" data-placement="top" title="" data-original-title="eliminar">
                                            <i class="zmdi zmdi-delete"></i>
                                        </a>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        {% endif %}
                        {% endfor %}
                        </tbody>
                        <tfoot>
                        <tr>
                            <td colspan="5">
                                <ul class="pagination pull-right"></ul>
                            </td>
                        </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- modal block -->

<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="text-center" style="color:white">Escoja la asignatura en la cual desea activar la rúbrica.</h1>
            </div>
            <div class="modal-body">
                <div class="form-group">
                    <label for="asignaturas">Asignaturas:</label>
                    <select class="form-control" id="asignaturas">
                    </select>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" data-rubric_pk="" id="activar" class="btn btn-primary">Activar</button>
                <button type="button" id="cancelar" class="btn btn-danger" data-dismiss="modal">Cancelar</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="pondModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="text-center" style="color:white">Ponderaciones de Hitos</h1>
            </div>
            <div class="modal-body">
                <div class="row" id="hito_pond">
                    
                </div>
            </div>
            <div class="modal-footer">
                <div class="row">
                    <div class="col-md-6">
                        <button type="button" id="update_pond" class="btn btn-block btn-primary" data-dismiss="modal">Aceptar</button>
                    </div>
                    <div class="col-md-6">
                        <button type="button" id="cancelar" class="btn btn-block btn-danger" data-dismiss="modal">Cancelar</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- end modal block -->

{% endblock content %}

{% block javascript %}

<script>
    $(document).on("click",".deactivate",function(){
        console.log("CLICK");
        var button = $(this);
        var rubricpk = button.data("rubricpk");

        data = {
            pk: rubricpk,
            csrfmiddlewaretoken: '{{ csrf_token }}'
        }
        $.ajax({
            type: "post",
            dataType: "json",
            url: "{% url 'rubric_deactivate' %}",
            data: data,

            success: function (data) {
                swal("Éxito!", "La rúbrica ha sido desactivada.", "success")
                    .then((value) => {
                        window.location.reload();
                    });
            },
            error: function(data) {
                swal("ERROR","Problema al desactivar.","warning");
            },

        });

    });
    $(document).ready(function(){
        $(".pond_edit").click(function(){
            var rubricpk = $(this).data("rubricpk");
            data = { 
                rubricpk: rubricpk,
                csrfmiddlewaretoken: '{{csrf_token}}'
            }
            $.ajax({
				type: "post",
				dataType: "json",
				url: "{% url 'update_hito_pond' %}",
				data: data,

				success: function (data) {
                    console.log(data);
                    $("#hito_pond").data["cant"] = data.cant;
                    var html = ""
                    for (i=1;i<=data.cant;i++){
                        html = html + '<div class="col-md-2 col-xs-2">\
                                            <div class="form-group m-0">\
                                                <label for="hito_pond_'+i+'">Hito '+ (i) +':</label>\
                                                <input id="hito_pond_'+i+'" name="hito_pond_'+i+'" value="'+ data[i.toString()][0] +'%" data-hitopk="'+ data[i.toString()][1] +'" class="form-control input-mask hito_pond" data-mask="00%" placeholder="Ej: 50%" autocomplete="off" maxlength="3" type="text"></input>\
                                            </div>\
                                        </div>'
                    }
                    if (data.desem == 1){
                        html = html + '<div class="col-md-2 col-xs-2">\
                                        <div class="form-group m-0">\
                                            <label for="desem_pond">Desempeño:</label>\
                                            <input id="desem_pond" name="desem_pond" value="'+ data.pond_desem +'%"  data-rubricpk="'+ data.rubricpk +'" class="form-control input-mask hito_pond" data-mask="00%" placeholder="Ej: 50%" autocomplete="off" maxlength="3" type="text"></input>\
                                        </div>\
                                    </div>';
                    }
                    $("#hito_pond").html(html);
				},

			});
            $('#pondModal').modal('show');
        })
        $('#exampleModal').on('show.bs.modal', function (event) {

			var button = $(event.relatedTarget) // Button that triggered the modal     
			var carreer_pk = button.data('carreerpk');
			var rubric_pk = button.data('rubric_pk');
			$("#activar").data("rubric_pk",rubric_pk);
			$("#activar").data("carreerpk",carreer_pk);

			var data = {

				pk: carreer_pk,
				csrfmiddlewaretoken: '{{ csrf_token }}'

			};

			$.ajax({
				type: "post",
				dataType: "json",
				url: "{% url 'get_carreer_subjects' %}",
				data: data,

				success: function (data) {
					$("#asignaturas").html(data.subjects_rubric)
				},

			});
			// moredata: 'moredata',
		});
        
        $("#agregar_button").on("click",function(){

            $("#1").trigger("click");
        
        });
        $("td").css("vertical-align","middle");
        $("#evaluacion").trigger("click");
        $("#rubric_list").addClass("active");
        
        
        $('#activar').on("click",function(){
            var rubric_pk = $(this).data("rubric_pk");
            var subject = $("#asignaturas").val();
            var sub_name = $("#asignaturas").html();
             data = {
                rubric_pk : rubric_pk,
                subject : subject,
                sub_name : sub_name,
                csrfmiddlewaretoken: '{{ csrf_token }}'
            }
            $.post("{% url 'rubric_activate' %}",data,function(response){
                $( "#cancelar" ).trigger( "click" );
                location.reload();
            });
            
        });

        $("#update_pond").click(function(){
            var suma_hitos = 0;
            $(".hito_pond").each(function(){
                suma_hitos = suma_hitos + parseInt($(this).val());
            })
            if (suma_hitos == 100){
                var sesiones = [];
                var id = "";
                var valor = "";
                var termino = $("#hito_pond").data("cant");

                $(".hito_pond").each(function(){
                    console.log($(this).attr('name'));
                    if ("desem_pond" == $(this).attr('name')){
                        var data = {
                            desem: 1,
                            desem_pond: $(this).val(),
                            rubricpk:$(this).data("rubricpk"),
                            csrfmiddlewaretoken:"{{csrf_token}}",
                        }
                        $.ajax({
                            type: "post",
                            dataType: "json",
                            url: "{% url 'edit_hito_ponderation' %}",
                            data: data,
                            success: function (data) {
                            },
                        });
                        
                    }else {
                        var data = {
                            desem: 0,
                            val: $(this).val(),
                            csrfmiddlewaretoken:"{{csrf_token}}",
                            hitopk: $(this).data("hitopk"),
                        }
                        $.ajax({
                            type: "post",
                            dataType: "json",
                            url: "{% url 'edit_hito_ponderation' %}",
                            data: data,
                            success: function (data) {
                            },
                        });
                    }
                })
                swal("Éxito!", "La rúbrica ha sido actualizada.", "success");
            } else {
                swal("Error!","El porcentaje total de sus ponderaciones es: "+suma_hitos+". Debe ser 100%","error")
            }   
        });
    })

</script>


{% endblock javascript %}